<?
if(isset($_GET['add']))
{
echo "<div class='event'><h1><a href='/admin-$admin'>$admin_name</a> / Добавить</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
$name=hsc($_POST['name']);
$tname=hsc($_POST['tname']);
if(strlen2($name)<1){$err=1;err_game('Слишком короткое название рыбы');}
if(strlen2($tname)<1){$err=1;err_game('Слишком короткое название рыбы 2');}
$rcena=intval($_POST['rcena']);
$mcena=intval($_POST['mcena']);
$soil_rating=intval($_POST['soil_rating']);
$rating=intval($_POST['rating']);
$money=intval($_POST['money']);
$timee=intval($_POST['time']);
$time_soil=intval($_POST['time_soil']);
$time_soil_minus=intval($_POST['time_soil_minus']);
$level=intval($_POST['level']);
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень доступности');}
if(!is_numeric($money) || strlen2($money)<1){$err=1;err_game('Неверное к-тво монет за единицу урожая');}
if(!is_numeric($mcena) || strlen2($mcena)<1){$err=1;err_game('Неверная цена монет');}
if(!is_numeric($rcena) || strlen2($rcena)<1){$err=1;err_game('Неверная цена рубинов');}
if(!is_numeric($soil_rating) || strlen2($soil_rating)<1){$err=1;err_game('Неверный опыт за кормление');}
if(!is_numeric($timee) || strlen2($timee)<1){$err=1;err_game('Неверное время роста');}
if(!is_numeric($time_soil) || 
strlen2($time_soil)<1){$err=1;err_game('Неверное время до подкормки');}
if(!is_numeric($time_soil_minus) || strlen2($time_soil_minus)<1){$err=1;err_game('Неверное время сокращения');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверный опыт за выращивание');}
$timee=60*$timee;
$time_soil=60*$time_soil;
$time_soil_minus=60*$time_soil_minus;
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
mysql_query("INSERT INTO `kolhoz_pool_plant` SET `name` = '$name',`tname` = '$tname', `mcena` = '$mcena',`rcena` = '$rcena', `time_soil_minus` = '$time_soil_minus', `time` = '$timee', `rating` = '$rating',`soil_rating` = '$soil_rating', `time_soil` = '$time_soil', `dohod` = '$money', `level` = '$level'");
$id=mysql_insert_id();
move_uploaded_file($tmp, 
"images/fish/pool/$id.png");
header("location: /admin-$admin");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Название рыбы:<br /><input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Название рыбы <span class='minor'>(В родительном падеже, например Устрицу)</span><br /><input name=\"tname\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Цена монет:<br /><input name=\"mcena\" type=\"text\" maxlength='32' value='0' /><br />\n";
echo "Или цена рубинов:<br /><input name=\"rcena\" type=\"text\" maxlength='32' value='0' /><br />\n";
echo "Опыт за кормление:<br /><input name=\"soil_rating\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Опыт за вылов:<br /><input name=\"rating\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Доход :<br /><input name=\"money\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Время выращивания(минут):<br /><input name=\"time\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Время между кормлениями(минут):<br /><input name=\"time_soil\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "На сколько сокращается время до вылова после кормления(минут):<br /><input name=\"time_soil_minus\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Уровень доступности:<br /><input name=\"level\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Изображение (потом можно изменить):<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Добавить' type='submit' name='ok' /><br />\n";
echo "</form>\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}



if(isset($_GET['edit']) && intval($_GET['edit'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pool_plant` WHERE `id` = '".intval($_GET['edit'])."'"),0)!=0)
{
$edit=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_pool_plant` WHERE `id` = '".intval($_GET['edit'])."'"));


if(isset($_GET['change_img']))
{
echo "<div class='event'><h1><a href='/admin-$admin'>$admin_name</a> / Заменить изображение</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
unlink("images/fish/pool/$edit[id].png");
move_uploaded_file($tmp, 
"images/fish/pool/$edit[id].png");
header("Location:/admin-$admin/edit-$edit[id]");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Изображение рыбы:<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form><br />\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}

echo "<div class='event'><h1><a href='/admin-$admin'>$admin_name</a> / Редактировать</h1></div>";
echo '<div class="content"><div class="block">';

if(isset($_POST['ok']))
{
$name=hsc($_POST['name']);
$tname=hsc($_POST['tname']);
if(strlen2($name)<1){$err=1;err_game('Слишком короткое название рыбы');}
if(strlen2($tname)<1){$err=1;err_game('Слишком короткое название рыбы 2');}
$rcena=intval($_POST['rcena']);
$mcena=intval($_POST['mcena']);
$soil_rating=intval($_POST['soil_rating']);
$rating=intval($_POST['rating']);
$money=intval($_POST['money']);
$timee=intval($_POST['time']);
$time_soil=intval($_POST['time_soil']);
$time_soil_minus=intval($_POST['time_soil_minus']);
$level=intval($_POST['level']);
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень доступности');}
if(!is_numeric($money) || strlen2($money)<1){$err=1;err_game('Неверное к-тво монет за единицу урожая');}
if(!is_numeric($mcena) || strlen2($mcena)<1){$err=1;err_game('Неверная цена монет');}
if(!is_numeric($rcena) || strlen2($rcena)<1){$err=1;err_game('Неверная цена рубинов');}
if(!is_numeric($soil_rating) || strlen2($soil_rating)<1){$err=1;err_game('Неверный опыт за кормление');}
if(!is_numeric($timee) || strlen2($timee)<1){$err=1;err_game('Неверное время роста');}
if(!is_numeric($time_soil) || 
strlen2($time_soil)<1){$err=1;err_game('Неверное время до подкормки');}
if(!is_numeric($time_soil_minus) || strlen2($time_soil_minus)<1){$err=1;err_game('Неверное время сокращения');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверный опыт за выращивание');}
$timee=60*$timee;
$time_soil=60*$time_soil;
$time_soil_minus=60*$time_soil_minus;
if (!isset($err))
{
mysql_query("UPDATE `kolhoz_pool_plant` SET `name` = '$name',`tname` = '$tname', `mcena` = '$mcena',`rcena` = '$rcena', `time_soil_minus` = '$time_soil_minus', `time` = '$timee', `rating` = '$rating',`soil_rating` = '$soil_rating', `time_soil` = '$time_soil', `dohod` = '$money', `level` = '$level' WHERE `id` = '$edit[id]'");
header("Location:/admin-$admin");
}
}
echo "<ul>";
echo "<li style='padding-bottom:8px'>";
echo "<img width='48' height='48' src='images/fish/pool/$edit[id].png' alt='o' class='portrait'>";
echo "<div class='small'>";
echo "<a href='/admin-$admin/edit-$edit[id]/change_img'>Заменить изображение</a>";
echo "</div></li></ul><div style='clear:both'></div>";
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Название рыбы:<br /><input name=\"name\" type=\"text\" maxlength='32' value='$edit[name]' /><br />\n";
echo "Название рыбы <span class='minor'>(В родительном падеже, например Устрицу)</span><br /><input name=\"tname\" type=\"text\" maxlength='32' value='$edit[tname]' /><br />\n";
echo "Цена монет:<br /><input name=\"mcena\" type=\"text\" maxlength='32' value='$edit[mcena]' /><br />\n";
echo "Или цена рубинов:<br /><input name=\"rcena\" type=\"text\" maxlength='32' value='$edit[rcena]' /><br />\n";
echo "Опыт за кормление:<br /><input name=\"soil_rating\" type=\"text\" maxlength='32' value='$edit[soil_rating]'/><br />\n";
echo "Опыт за вылов:<br /><input name=\"rating\" type=\"text\" maxlength='32' value='$edit[rating]'/><br />\n";
echo "Доход :<br /><input name=\"money\" type=\"text\" maxlength='32' value='$edit[dohod]'/><br />\n";
echo "Время выращивания(минут):<br /><input name=\"time\" type=\"text\" maxlength='32' value='".($edit['time']/60)."'/><br />\n";
echo "Время между кормлениями(минут):<br /><input name=\"time_soil\" type=\"text\" maxlength='32' value='".($edit['time_soil']/60)."'/><br />\n";
echo "На сколько сокращается время до вылова после кормления(минут):<br /><input name=\"time_soil_minus\" type=\"text\" maxlength='32' value='".($edit['time_soil_minus']/60)."'/><br />\n";
echo "Уровень доступности:<br /><input name=\"level\" type=\"text\" maxlength='32' value='$edit[level]'/><br />\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form>\n";
echo "<div><br/>&raquo; <a href='/admin-$admin/del-$edit[id]'>Удалить</a></div>";
echo "</div>";
include_once 'inc/foot.php';
exit;
}



if(isset($_GET['del']) && intval($_GET['del'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pool_plant` WHERE `id` = '".intval($_GET['del'])."'"),0)!=0)
{
$del['id']=intval($_GET['del']);
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `kolhoz_pool_plant` WHERE `id` = '$del[id]'");
mysql_query("UPDATE `kolhoz_pool` SET `id_plant` = '0' WHERE `id_fish` = '$del[id]'");
unlink("images/fish/pool/$del[id].png");
header("Location:/admin-$admin");
}
podtv("admin-$admin/del-$del[id]/ok","admin-$admin");
include_once 'inc/foot.php';
exit;
}

echo "<div class='event'><h1><a href='?admin=list'>Админка</a> / $admin_name</h1></div>";
echo '<div class="content"><div class="block">';


$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pool_plant`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_pool_plant` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<a href='/admin-$admin/edit-$post[id]/change_img'><img width='48' height='48' src='images/fish/pool/$post[id].png' alt='*' class='portrait'></a>";
echo "<span><a href='/admin-$admin/edit-$post[id]'>".hsc($post['name'])."</a></span> <span class='minor'>, цена: </span><span><img width='16' height='16' src='images/icons/".(!empty($post['rcena'])?"ruby.png":"money.png")."' alt='*'><span class='title'>".(!empty($post['rcena'])?"$post[rcena]":"$post[mcena]")."</span></span> (доступно с $post[level] уровня</span>)<br/><span class='small minor'> Время выращивания: 
<span class='title'>".time_left($post['time'])."</span>, Время между кормлениями: <span class='title'>".time_left($post['time_soil'])."</span>, Кормление ускоряет рост на: <span class='title'>".time_left($post['time_soil_minus'])."</span>, Доход: <img width='16' height='16' src='images/icons/money.png' alt='*'> <span>$post[dohod]</span>, Опыт за кормление: <img width='16' height='16' src='images/icons/experience.png' alt='*'> <span>$post[soil_rating]</span>, Опыт за выращивание: <img width='16' height='16' src='images/icons/experience.png' alt='*'> <span>$post[rating]</span></span></li>";
}
echo "</ul>";
if ($k_page>1)new_str("admin-$admin/",$k_page,$page); // Вывод страниц
echo "<div>&raquo; <a href='/admin-$admin/add'>Добавить рыбу</a></div>";
echo "</div>";
include_once 'inc/foot.php';
?>